Skip to content
Baremetrics

Update Plan

PUT https://api.baremetrics.com/v1/{source_id}/plans/{oid}

Path parameters

  • oid string required

    Your interval plan id

  • source_id string required

    Please see Sources

Body

application/json
  • name string required

    The new name of this plan

Responses

200OK
{
  "plan": {
    "oid": "plan_2",
    "source_id": "123",
    "source": "baremetrics",
    "name": "Plan 2",
    "interval": "year",
    "interval_count": 1,
    "trial_duration": null,
    "trial_duration_unit": null,
    "created": null,
    "active": true,
    "setup_fees": 0,
    "amounts": [
      {
        "currency": "USD",
        "symbol": "$",
        "symbol_right": false,
        "amount": 450000
      }
    ]
  }
}
400Bad Request
{}